<?php
namespace vesdk;

class ClipVideo extends Base
{
    const CLIP_API = "/render/charge/cpr/clip";

    public function __construct($config)
    {
        parent::__construct($config);
    }

    public function request($data)
    {
        $checkRes = $this->checkParam($data, $this->ruleCpr());
        if ($checkRes["res"] === false)
        {
            return $checkRes;
        }

        return $this->post($data, self::CLIP_API);
    }


    //仅做最基本的规则检查,部分参数是array,还是需要参照文档进行提交
    public function ruleCpr()
    {
        return [
            "recordId"       => "required|string",
            "ossId"          => "required|string",
            "notifyUrl"      => "required|string",
            "uploadKey"      => 'required|string|^\/',//不以/开头
            "videoClips"     => "required|array",//剪辑任务
            "width"          => "required|int", //剪辑出的视频的宽度
            "height"         => "required|int",//剪辑出的视频高度
            "frameRate"      => "required|float",//视频帧数
            "bitrateControl" => "any|float",//比特率
        ];
    }

}
